<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>{% block title %}Welcome!{% endblock %}</title>
    {# Run `composer require symfony/webpack-encore-bundle`
           and uncomment the following Encore helpers to start using Symfony UX #}
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css">
    {% block stylesheets %}
        {#{{ encore_entry_link_tags('app') }}#}
        <link href="{{ asset('build/app.css') }}" rel="stylesheet"/>
    {% endblock %}

    {% block javascripts %}
        {#{{ encore_entry_script_tags('app') }}#}
    {% endblock %}
</head>
<body>

<nav>

    {% if(is_granted('ROLE_ADMIN')) %}
        <a href="{{ path('back_default') }}">Admin</a>
    {% endif %}

</nav>
<div class="container">
    {% block body %}{% endblock %}
</div>
<script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
<script>
    {% for type, messages in app.flashes() %}
        {% for message in messages %}
            M.toast({html: '{{ message }}', classes: '{{ type }}'});
        {% endfor %}
    {% endfor %}
</script>
</body>
</html>
